# Class Angular

Configuration option for AngularTS bootstrap process.

- Defined in loader.js:30

#####
Index

### Constructors

constructor

### Properties

bootsrappedModules
cache
doBootstrap
element
version

### Methods

bootstrap
errorHandlingConfig
init
injector
module
resumeBootstrap

##
Constructors

### constructor

- new Angular(): Angular

- #### Returns Angular

  - Defined in loader.js:31

##
Properties

### bootsrappedModules

bootsrappedModules: any[]

- Defined in loader.js:44
- Defined in loader.js:124

### cache

cache: Map<number, ExpandoStore>

- Defined in loader.js:35

### doBootstrap

doBootstrap: Function

- Defined in loader.js:47

### element

element: typeof JQLite

- Defined in loader.js:41

### version

version: string

- Defined in loader.js:38

##
Methods

### bootstrap

- bootstrap(element, modules?, config?): any

- Use this function to manually start up AngularJS application.

  AngularJS will detect if it has been loaded into the browser more than once and only allow the first loaded script to be bootstrapped and will report a warning to the browser console for each of the subsequent scripts. This prevents strange results in applications, where otherwise multiple instances of AngularJS try to work on the DOM. *

  **Note:** Do not bootstrap the app on an element with a directive that uses ng.$compile#transclusion transclusion, such as ng.ngIf `ngIf`, ng.ngInclude `ngInclude` and ngRoute.ngView `ngView`. Doing this misplaces the app ng.$rootElement `$rootElement` and the app's auto.$injector injector, causing animations to stop working and making the injector inaccessible from outside the app.

      <!doctype html>
      <html>
      <body>
      <div ng-controller="WelcomeController">
        {{greeting}}
      </div>

      <script src="angular.js"></script>
      <script>
        let app = angular.module('demo', [])
        .controller('WelcomeController', function($scope) {
            $scope.greeting = 'Welcome!';
        });
        angular.bootstrap(document, ['demo']);
      </script>
      </body>
      </html>

  #### Parameters

  - element: string | Element | Document

    DOM element which is the root of AngularJS application.

  - `Optional` modules: any[]

    an array of modules to load into the application. Each item in the array should be the name of a predefined module or a (DI annotated) function that will be invoked by the injector as a `config` block. See: angular.module modules

  - `Optional` config: AngularBootstrapConfig

    an object for defining configuration options for the application. The following keys are supported:

    - `strictDi` - disable automatic function annotation for the application. This is meant to assist in finding bugs which break minified code. Defaults to `false`.

  #### Returns any

  InjectorService - Returns the newly created injector for this app.

  - Defined in loader.js:112

### errorHandlingConfig

- errorHandlingConfig(config?): ErrorHandlingConfig

- Configure several aspects of error handling if used as a setter or return the current configuration if used as a getter.

  Omitted or undefined options will leave the corresponding configuration values unchanged.

  #### Parameters

  - `Optional` config: ErrorHandlingConfig

  #### Returns ErrorHandlingConfig

  - Defined in loader.js:60

### init

- init(element): void

- #### Parameters

  - element: Element | Document

  #### Returns void

  - Defined in loader.js:205

### injector

- injector(modules, strictDi): InjectorService

- #### Parameters

  - modules: any[]
  - strictDi: boolean

  #### Returns InjectorService

  - Defined in loader.js:191

### module

- module(name, requires?, configFn?): NgModule

- The `angular.module` is a global place for creating, registering and retrieving AngularJS modules. All modules (AngularJS core or 3rd party) that should be available to an application must be registered using this mechanism.

  Passing one argument retrieves an existing import('./types').Module, whereas passing more than one argument creates a new import('./types').Module

  # Module

  A module is a collection of services, directives, controllers, filters, and configuration information. `angular.module` is used to configure the auto.$injector $injector.

      // Create a new module
      let myModule = angular.module('myModule', []);

      // register a new service
      myModule.value('appName', 'MyCoolApp');

      // configure existing services inside initialization blocks.
      myModule.config(['$locationProvider', function($locationProvider) {
        // Configure existing providers
        $locationProvider.hashPrefix('!');
      }]);

  Then you can create an injector and load your modules like this:

      let injector = angular.injector(['ng', 'myModule'])

  However it's more likely that you'll just use ng.directive:ngApp ngApp or angular.bootstrap to simplify this process for you.

  #### Parameters

  - name: string

    The name of the module to create or retrieve.

  - `Optional` requires: string[]

    If specified then new module is being created. If unspecified then the module is being retrieved for further configuration.

  - `Optional` configFn: Function | any[]

    Optional configuration function for the module. Same as import('./types').Module#config Module#config().

  #### Returns NgModule

  A newly registered module.

  - Defined in loader.js:285

### resumeBootstrap

- resumeBootstrap(extraModules): any

- #### Parameters

  - extraModules: any

  #### Returns any

  - Defined in loader.js:195